// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

  let ULV = 8
  let LV = 30
  let MV = 120
  let HV = 480
  let EV = 1920

// fluix_crystal

event.recipes.gtceu.mixer('kubejs:mixer/fluix_crystal')
.itemInputs('ae2:charged_certus_quartz_crystal')
.itemInputs('minecraft:redstone')
.itemInputs('minecraft:quartz')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x ae2:fluix_crystal')
.duration(20)
.EUt(ULV)

// glowstone_dust

event.recipes.gtceu.mixer('kubejs:mixer/glowstone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('minecraft:redstone')
.itemInputs('gtceu:gold_dust')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('3x minecraft:glowstone_dust')
.duration(100)
.EUt(LV)

// skystone_dust

event.recipes.gtceu.mixer('kubejs:mixer/skystone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('gtceu:nether_quartz_dust')
.itemInputs('gtceu:silver_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 150))
.itemOutputs('3x ae2:sky_dust')
.duration(100)
.EUt(LV)

// pointed_dripstone

event.recipes.gtceu.mixer('kubejs:mixer/pointed_dripstone')
.itemInputs('gtceu:clay_dust')
.itemInputs('gtceu:calcite_dust')
.itemInputs('gtceu:quartz_sand_dust')
.inputFluids(Fluid.of('minecraft:water', 1000))
.itemOutputs('minecraft:pointed_dripstone')
.duration(200)
.EUt(MV)

// netherite_scrap

event.recipes.gtceu.mixer('kubejs:mixer/netherite_scrap')
.itemInputs('gtceu:chromium_dust')
.itemInputs('gtceu:aluminium_dust')
.itemInputs('gtceu:manganese_dust')
.itemInputs('4x gtceu:quartzite_gem')
.inputFluids(Fluid.of('gtceu:hydrochloric_acid', 250))
.itemOutputs('4x minecraft:netherite_scrap')
.duration(200)
.EUt(HV)

// grains_of_infinity

event.recipes.gtceu.mixer('kubejs:mixer/grains_of_infinity')
.itemInputs('gtceu:netherrack_dust')
.itemInputs('gtceu:endstone_dust')
.itemOutputs('enderio:grains_of_infinity')
.duration(200)
.EUt(LV)

// conduit_binder_composite

event.recipes.gtceu.mixer('kubejs:mixer/conduit_binder_composite')
.itemInputs('gtceu:flint_dust')
.itemInputs('gtceu:clay_dust')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x enderio:conduit_binder_composite')
.duration(20)
.EUt(LV)

// stainless_steel_dust

event.recipes.gtceu.mixer('kubejs:mixer/stainless_steel_dust')
.itemInputs('4x gtceu:iron_dust')
.itemInputs('3x gtceu:invar_dust')
.itemInputs('gtceu:manganese_dust')
.itemInputs('gtceu:chromium_dust')
.itemOutputs('9x gtceu:stainless_steel_dust')
.duration(600)
.EUt(120)
.circuit(1)

// black_bronze_dust

event.recipes.gtceu.mixer('kubejs:mixer/black_bronze_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('2x gtceu:electrum_dust')
.itemOutputs('5x gtceu:black_bronze_dust')
.duration(500)
.EUt(7)
.circuit(1)

// rose_gold_dust

event.recipes.gtceu.mixer('kubejs:mixer/rose_gold_dust')
.itemInputs('1x gtceu:copper_dust')
.itemInputs('4x gtceu:gold_dust')
.itemOutputs('5x gtceu:rose_gold_dust')
.duration(500)
.EUt(7)
.circuit(1)

// cobalt_brass_dust

event.recipes.gtceu.mixer('kubejs:mixer/cobalt_brass_dust')
.itemInputs('1x gtceu:cobalt_dust')
.itemInputs('1x gtceu:aluminium_dust')
.itemInputs('7x gtceu:brass_dust')
.itemOutputs('9x gtceu:cobalt_brass_dust')
.duration(900)
.EUt(7)
.circuit(1)

// brass_dust

event.recipes.gtceu.mixer('kubejs:mixer/brass_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('1x gtceu:zinc_dust')
.itemOutputs('4x gtceu:brass_dust')
.duration(400)
.EUt(7)
.circuit(1)

// ultimet_dust

event.recipes.gtceu.mixer('kubejs:mixer/ultimet_dust')
.itemInputs('5x gtceu:cobalt_dust')
.itemInputs('2x gtceu:chromium_dust')
.itemInputs('1x gtceu:nickel_dust')
.itemInputs('1x gtceu:molybdenum_dust')
.itemOutputs('9x gtceu:ultimet_dust')
.duration(900)
.EUt(480)
.circuit(1)

// soldering_alloy_dust

event.recipes.gtceu.mixer('kubejs:mixer/soldering_alloy_dust')
.itemInputs('6x gtceu:tin_dust')
.itemInputs('3x gtceu:lead_dust')
.itemInputs('1x gtceu:antimony_dust')
.itemOutputs('10x gtceu:soldering_alloy_dust')
.duration(200)
.EUt(7)
.circuit(1)

// sterling_silver_dust

event.recipes.gtceu.mixer('kubejs:mixer/sterling_silver_dust')
.itemInputs('4x gtceu:silver_dust')
.itemInputs('1x gtceu:copper_dust')
.itemOutputs('5x gtceu:sterling_silver_dust')
.duration(500)
.EUt(120)
.circuit(1)

// kanthal_dust

event.recipes.gtceu.mixer('kubejs:mixer/kanthal_dust')
.itemInputs('1x gtceu:iron_dust')
.itemInputs('1x gtceu:aluminium_dust')
.itemInputs('1x gtceu:chromium_dust')
.itemOutputs('3x gtceu:kanthal_dust')
.duration(300)
.EUt(120)
.circuit(1)

// bronze_dust

event.recipes.gtceu.mixer('kubejs:mixer/bronze_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('1x gtceu:tin_dust')
.itemOutputs('4x gtceu:bronze_dust')
.duration(400)
.EUt(7)
.circuit(1)

// invar_dust

event.recipes.gtceu.mixer('kubejs:mixer/invar_dust')
.itemInputs('2x gtceu:iron_dust')
.itemInputs('1x gtceu:nickel_dust')
.itemOutputs('3x gtceu:invar_dust')
.duration(400)
.EUt(7)
.circuit(1)

// yttrium_barium_cuprate_dust

event.recipes.gtceu.mixer('kubejs:mixer/yttrium_barium_cuprate_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('2x gtceu:barium_dust')
.itemInputs('1x gtceu:yttrium_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 7000))
.itemOutputs('13x gtceu:yttrium_barium_cuprate_dust')
.duration(600)
.EUt(1920)
.circuit(2)

// mercury_barium_calcium_cuprate_dust

event.recipes.gtceu.mixer('kubejs:mixer/mercury_barium_calcium_cuprate_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('2x gtceu:calcium_dust')
.itemInputs('2x gtceu:barium_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 8000))
.inputFluids(Fluid.of('gtceu:mercury', 1000))
.itemOutputs('16x gtceu:mercury_barium_calcium_cuprate_dust')
.duration(400)
.EUt(120)
.circuit(4)

// samarium_iron_arsenic_oxide_dust

event.recipes.gtceu.mixer('kubejs:mixer/samarium_iron_arsenic_oxide_dust')
.itemInputs('1x gtceu:samarium_dust')
.itemInputs('1x gtceu:iron_dust')
.itemInputs('1x gtceu:arsenic_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 1000))
.itemOutputs('4x gtceu:samarium_iron_arsenic_oxide_dust')
.duration(100)
.EUt(7680)
.circuit(4)

// indium_tin_barium_titanium_cuprate_dust

event.recipes.gtceu.mixer('kubejs:mixer/indium_tin_barium_titanium_cuprate_dust')
.itemInputs('4x gtceu:indium_dust')
.itemInputs('2x gtceu:tin_dust')
.itemInputs('2x gtceu:barium_dust')
.itemInputs('1x gtceu:titanium_dust')
.itemInputs('7x gtceu:copper_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 14000))
.itemOutputs('16x gtceu:indium_tin_barium_titanium_cuprate_dust')
.duration(600)
.EUt(30720)
.circuit(4)

// hsse_dust

event.recipes.gtceu.mixer('kubejs:mixer/hsse_dust')
.itemInputs('6x gtceu:hssg_dust')
.itemInputs('1x gtceu:cobalt_dust')
.itemInputs('1x gtceu:manganese_dust')
.itemInputs('1x gtceu:silicon_dust')
.itemOutputs('9x gtceu:hsse_dust')
.duration(460)
.EUt(4046)
.circuit(1)

// zeron_100_dust *

event.recipes.gtceu.mixer('kubejs:mixer/zeron_100_dust')
.itemInputs('10x gtceu:iron_dust')
.itemInputs('2x gtceu:nickel_dust')
.itemInputs('2x gtceu:tungsten_dust')
.itemInputs('1x gtceu:niobium_dust')
.itemInputs('1x gtceu:cobalt_dust')
.itemOutputs('16x gtceu:zeron_100_dust')
.duration(600)
.EUt(1920)
.circuit(2)

// watertight_steel_dust *

event.recipes.gtceu.mixer('kubejs:mixer/watertight_steel_dust')
.itemInputs('7x gtceu:iron_dust')
.itemInputs('4x gtceu:aluminium_dust')
.itemInputs('2x gtceu:nickel_dust')
.itemInputs('1x gtceu:chromium_dust')
.itemInputs('1x gtceu:sulfur_dust')
.itemOutputs('15x gtceu:watertight_steel_dust')
.duration(600)
.EUt(1920)
.circuit(2)

// maraging_steel_300_dust *

event.recipes.gtceu.mixer('kubejs:mixer/maraging_steel_300_dust')
.itemInputs('16x gtceu:iron_dust')
.itemInputs('1x gtceu:titanium_dust')
.itemInputs('1x gtceu:aluminium_dust')
.itemInputs('4x gtceu:nickel_dust')
.itemInputs('2x gtceu:cobalt_dust')
.itemOutputs('24x gtceu:maraging_steel_300_dust')
.duration(600)
.EUt(1920)
.circuit(2)

// hastelloy_x_dust *

event.recipes.gtceu.mixer('kubejs:mixer/hastelloy_x_dust')
.itemInputs('8x gtceu:nickel_dust')
.itemInputs('3x gtceu:iron_dust')
.itemInputs('4x gtceu:tungsten_dust')
.itemInputs('2x gtceu:molybdenum_dust')
.itemInputs('1x gtceu:chromium_dust')
.itemInputs('1x gtceu:niobium_dust')
.itemOutputs('19x gtceu:hastelloy_x_dust')
.duration(600)
.EUt(1920)
.circuit(3)

// stellite_100_dust *

event.recipes.gtceu.mixer('kubejs:mixer/stellite_100_dust')
.itemInputs('4x gtceu:iron_dust')
.itemInputs('3x gtceu:chromium_dust')
.itemInputs('2x gtceu:tungsten_dust')
.itemInputs('1x gtceu:molybdenum_dust')
.itemOutputs('10x gtceu:stellite_100_dust')
.duration(600)
.EUt(1920)
.circuit(2)

// hastelloy_c_276_dust *

event.recipes.gtceu.mixer('kubejs:mixer/hastelloy_c_276_dust')
.itemInputs('12x gtceu:nickel_dust')
.itemInputs('8x gtceu:molybdenum_dust')
.itemInputs('7x gtceu:chromium_dust')
.itemInputs('1x gtceu:tungsten_dust')
.itemInputs('1x gtceu:cobalt_dust')
.itemInputs('1x gtceu:copper_dust')
.itemOutputs('30x gtceu:hastelloy_c_276_dust')
.duration(600)
.EUt(1920)
.circuit(3)

// white_concrete

event.recipes.gtceu.mixer('kubejs:mixer/white_concrete')
.itemInputs('1x minecraft:white_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:white_concrete')
.duration(20)
.EUt(ULV)

// orange_concrete

event.recipes.gtceu.mixer('kubejs:mixer/orange_concrete')
.itemInputs('1x minecraft:orange_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:orange_concrete')
.duration(20)
.EUt(ULV)

// magenta_concrete

event.recipes.gtceu.mixer('kubejs:mixer/magenta_concrete')
.itemInputs('1x minecraft:magenta_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:magenta_concrete')
.duration(20)
.EUt(ULV)

// light_blue_concrete

event.recipes.gtceu.mixer('kubejs:mixer/light_blue_concrete')
.itemInputs('1x minecraft:light_blue_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:light_blue_concrete')
.duration(20)
.EUt(ULV)

// yellow_concrete

event.recipes.gtceu.mixer('kubejs:mixer/yellow_concrete')
.itemInputs('1x minecraft:yellow_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:yellow_concrete')
.duration(20)
.EUt(ULV)

// lime_concrete

event.recipes.gtceu.mixer('kubejs:mixer/lime_concrete')
.itemInputs('1x minecraft:lime_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:lime_concrete')
.duration(20)
.EUt(ULV)

// pink_concrete

event.recipes.gtceu.mixer('kubejs:mixer/pink_concrete')
.itemInputs('1x minecraft:pink_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:pink_concrete')
.duration(20)
.EUt(ULV)

// gray_concrete

event.recipes.gtceu.mixer('kubejs:mixer/gray_concrete')
.itemInputs('1x minecraft:gray_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:gray_concrete')
.duration(20)
.EUt(ULV)

// light_gray_concrete

event.recipes.gtceu.mixer('kubejs:mixer/light_gray_concrete')
.itemInputs('1x minecraft:light_gray_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:light_gray_concrete')
.duration(20)
.EUt(ULV)

// cyan_concrete

event.recipes.gtceu.mixer('kubejs:mixer/cyan_concrete')
.itemInputs('1x minecraft:cyan_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:cyan_concrete')
.duration(20)
.EUt(ULV)

// purple_concrete

event.recipes.gtceu.mixer('kubejs:mixer/purple_concrete')
.itemInputs('1x minecraft:purple_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:purple_concrete')
.duration(20)
.EUt(ULV)

// blue_concrete

event.recipes.gtceu.mixer('kubejs:mixer/blue_concrete')
.itemInputs('1x minecraft:blue_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:blue_concrete')
.duration(20)
.EUt(ULV)

// brown_concrete

event.recipes.gtceu.mixer('kubejs:mixer/brown_concrete')
.itemInputs('1x minecraft:brown_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:brown_concrete')
.duration(20)
.EUt(ULV)

// green_concrete

event.recipes.gtceu.mixer('kubejs:mixer/green_concrete')
.itemInputs('1x minecraft:green_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:green_concrete')
.duration(20)
.EUt(ULV)

// red_concrete

event.recipes.gtceu.mixer('kubejs:mixer/red_concrete')
.itemInputs('1x minecraft:red_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:red_concrete')
.duration(20)
.EUt(ULV)

// black_concrete

event.recipes.gtceu.mixer('kubejs:mixer/black_concrete')
.itemInputs('1x minecraft:black_concrete_powder')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('1x minecraft:black_concrete')
.duration(20)
.EUt(ULV)


// fin //

  })